package calculette;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class CalculetteApplet extends Applet {

  /**Construire l'applet*/
  public CalculetteApplet() {
  }

  /**Initialiser l'applet*/
  public void init() {
		TextField viewer=new TextField();
		Pile p=new Pile(viewer);

		setLayout(new BorderLayout());
		add(viewer,"North");
		Panel bPanel=new Panel(new GridLayout(4,3));

		for(int i=1;i<=9;i++){
			createChiffreButton(bPanel,p,i);
		}
		createChiffreButton(bPanel,p,0);

		add(bPanel,"Center");

		// Les operateurs
		Panel oPanel=new Panel(new GridLayout(6,1));
		createOpButton(oPanel, "Enter", new Enter(p));
		createOpButton(oPanel, "Plus", new Plus(p));
		createOpButton(oPanel, "Mult", new Mult(p));
		createOpButton(oPanel, "Minus", new Minus(p));
		createOpButton(oPanel, "Div", new Div(p));
		createOpButton(oPanel, "Clear", new Clear(p));
		add(oPanel,"East");
		p.display();

  }

  void createChiffreButton(Panel p, final Pile s, final int v){
		Button b=new Button(""+v);
		p.add(b);
		b.addActionListener(new ActionListener(){
				Chiffre ch = new Chiffre(s,v);
				public void actionPerformed(ActionEvent e){
					ch.exec();
				}
		});
	}

	void createOpButton(Panel p, String s, final Operator op){
		Button b=new Button(s);
		p.add(b);
		b.addActionListener(new ActionListener(){
				Operator o = op;
				public void actionPerformed(ActionEvent e){
					o.exec();
				}
		});
	}
}